Subject: 24.4.50; emacs hangs in next-line
From: "Stefan-W. Hahn" <[email-masked]>
To: [email-masked]
Date: Thu, 17 Apr 2014 08:10:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

In GNU Emacs 24.4.50.2 (i686-pc-linux-gnu, GTK+ Version 2.24.10)
 of 2014-03-31 on pille

commit 79bbb1454f3e44bf69096f03c26bb42f4930e591

If loading a mail from mutt with emacsclient and emacs is in an org-mode
file, emacs hangs. I use

;	$Id: post.el,v 1.10 2008/02/24 23:49:23 rreid Exp $
;; post.el --- Use (X?)Emacs(client) as an external editor for mail and news.

to colorize my mutt mails.

Stripping this down it seems, that (next-line) is the problem.
I have made following simple mode:

#+BEGIN_SRC: elisp "next-line.el"
(defun test ()
  (interactive)
  (goto-char (point-min))
  (save-match-data (re-search-forward "^$" nil t))
  (next-line 1))

(require 'derived)
(define-derived-mode test-mode text-mode "Test"
  ""
  (test))
#+END_SRC

#+BEGIN_SRC: "mutt-test"
-*- mode: test; -*-
From: [email-masked]
To: 
Cc: 
Bcc: 
Subject: 
Reply-To: 
Organization: -no organization-
X-GPG-Fingerprint: 0xE4FCD563 / EF09 97BB 3731 7DC7 25BA 5C39 185C F986 E4FC
 D56

-- 
my-address
#+END_SRC

If I now do the following, emacs hangs:

- start "emacs -Q"
- load next-line.el
- eval-buffer
- load test-neuter.org (big org-mode file)
- load mutt-test

If I remove the line " D56" in mutt-test, than emacs does not hang.

Here is my configuration output from report-emacs-bugs:

Windowing system distributor `The X.Org Foundation', version 11.0.11204000
System Description:	Debian GNU/Linux 7.4 (wheezy)

Configured using:
 `configure --prefix=/opt/emacs24'

Configured features:
XPM JPEG TIFF GIF PNG SOUND GSETTINGS NOTIFY GNUTLS FREETYPE XFT ZLIB

Important settings:
  value of $LC_COLLATE: de_DE.UTF-8
  value of $LC_CTYPE: de_DE.UTF-8
  value of $LC_MESSAGES: en_GB.UTF8
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> M-x b u g s <tab> <backspace> 
<backspace> <backspace> <backspace> e m a c s - <tab> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> r e p o r r t - <backspace> <backspace> 
<backspace> t - <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message dired format-spec
rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util help-fns mail-prsvr mail-utils time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 8 75924 4097)
 (symbols 24 17699 0)
 (miscs 20 37 148)
 (strings 16 10600 3890)
 (string-bytes 1 288533)
 (vectors 8 9808)
 (vector-slots 4 382981 1800)
 (floats 8 64 65)
 (intervals 28 226 30)
 (buffers 512 13)
 (heap 1024 14126 551))

With kind regards
Stefan

-- 
Stefan-W. Hahn                          It is easy to make things.
                                        It is hard to make things simple.